# Uses of Class
org.apache.lucene.util.IntsRef

Packages that use IntsRef
Package
Description
org.apache.lucene.index
Code to maintain and access indices.
org.apache.lucene.util
Some utility classes.
org.apache.lucene.util.automaton
Finite-state automaton for regular expressions.
org.apache.lucene.util.fst
Finite state transducers

## Uses of IntsRef in org.apache.lucene.index

Methods in org.apache.lucene.index with parameters of type IntsRef
Modifier and Type
Method
Description
`default void`
PointValues.IntersectVisitor.`visit(IntsRef ref)`
Similar to `PointValues.IntersectVisitor.visit(int)`, but a bulk visit and implements may have their optimizations.

## Uses of IntsRef in org.apache.lucene.util

Methods in org.apache.lucene.util that return IntsRef
Modifier and Type
Method
Description
`IntsRef`
IntsRef.`clone()`
Returns a shallow clone of this instance (the underlying ints are not copied and will be shared by both the returned object and this object.
`static IntsRef`
IntsRef.`deepCopyOf(IntsRef other)`
Creates a new IntsRef that points to a copy of the ints from `other`
`IntsRef`
IntsRefBuilder.`get()`
Return a `IntsRef` that points to the internal content of this builder.
`IntsRef`
IntsRefBuilder.`toIntsRef()`
Build a new `CharsRef` that has the same content as this builder.
Methods in org.apache.lucene.util with parameters of type IntsRef
Modifier and Type
Method
Description
`int`
IntsRef.`compareTo(IntsRef other)`
Signed int order comparison
`void`
IntsRefBuilder.`copyInts(IntsRef ints)`
Copies the given array into this instance.
`static IntsRef`
IntsRef.`deepCopyOf(IntsRef other)`
Creates a new IntsRef that points to a copy of the ints from `other`
`boolean`
IntsRef.`intsEquals(IntsRef other)`
`static BytesRef`
StringHelper.`intsRefToBytesRef(IntsRef ints)`
Just converts each int in the incoming `IntsRef` to each byte in the returned `BytesRef`, throwing `IllegalArgumentException` if any int value is out of bounds for a byte.

## Uses of IntsRef in org.apache.lucene.util.automaton

Methods in org.apache.lucene.util.automaton that return IntsRef
Modifier and Type
Method
Description
`static IntsRef`
Operations.`getSingleton(Automaton a)`
If this automaton accepts a single input, return it.
`IntsRef`
FiniteStringsIterator.`next()`
Generate next finite string.
`IntsRef`
LimitedFiniteStringsIterator.`next()`
Methods in org.apache.lucene.util.automaton with parameters of type IntsRef
Modifier and Type
Method
Description
`static boolean`
Operations.`run(Automaton a, IntsRef s)`
Returns true if the given string (expressed as unicode codepoints) is accepted by the automaton.

## Uses of IntsRef in org.apache.lucene.util.fst

Fields in org.apache.lucene.util.fst declared as IntsRef
Modifier and Type
Field
Description
`IntsRef`
IntsRefFSTEnum.InputOutput.`input`
Methods in org.apache.lucene.util.fst that return IntsRef
Modifier and Type
Method
Description
`IntsRef`
IntSequenceOutputs.`add(IntsRef prefix, IntsRef output)`
`IntsRef`
IntSequenceOutputs.`common(IntsRef output1, IntsRef output2)`
`IntsRef`
IntSequenceOutputs.`getNoOutput()`
`IntsRef`
Util.Result.`input()`
Returns the value of the `input` record component.
`IntsRef`
IntSequenceOutputs.`read(DataInput in)`
`IntsRef`
IntSequenceOutputs.`subtract(IntsRef output, IntsRef inc)`
`static IntsRef`
Util.`toIntsRef(BytesRef input, IntsRefBuilder scratch)`
Just takes unsigned byte values from the BytesRef and converts into an IntsRef.
`static IntsRef`
Util.`toUTF16(CharSequence s, IntsRefBuilder scratch)`
Just maps each UTF16 unit (char) to the ints in an IntsRef.
`static IntsRef`
Util.`toUTF32(char[] s, int offset, int length, IntsRefBuilder scratch)`
Decodes the Unicode codepoints from the provided char[] and places them in the provided scratch IntsRef, which must not be null, returning it.
`static IntsRef`
Util.`toUTF32(CharSequence s, IntsRefBuilder scratch)`
Decodes the Unicode codepoints from the provided CharSequence and places them in the provided scratch IntsRef, which must not be null, returning it.
Methods in org.apache.lucene.util.fst with parameters of type IntsRef
Modifier and Type
Method
Description
`protected boolean`
Util.TopNSearcher.`acceptResult(IntsRef input, T output)`
`void`
FSTCompiler.`add(IntsRef input, T output)`
Add the next input/output pair.
`IntsRef`
IntSequenceOutputs.`add(IntsRef prefix, IntsRef output)`
`IntsRef`
IntSequenceOutputs.`common(IntsRef output1, IntsRef output2)`
`static <T> T`
Util.`get(FST<T> fst, IntsRef input)`
Looks up the output for this input, or null if the input is not accepted.
`String`
IntSequenceOutputs.`outputToString(IntsRef output)`
`long`
IntSequenceOutputs.`ramBytesUsed(IntsRef output)`
`IntsRefFSTEnum.InputOutput<T>`
IntsRefFSTEnum.`seekCeil(IntsRef target)`
Seeks to smallest term that's >= target.
`IntsRefFSTEnum.InputOutput<T>`
IntsRefFSTEnum.`seekExact(IntsRef target)`
Seeks to exactly this term, returning null if the term doesn't exist.
`IntsRefFSTEnum.InputOutput<T>`
IntsRefFSTEnum.`seekFloor(IntsRef target)`
Seeks to biggest term that's <= target.
`IntsRef`
IntSequenceOutputs.`subtract(IntsRef output, IntsRef inc)`
`static BytesRef`
Util.`toBytesRef(IntsRef input, BytesRefBuilder scratch)`
Just converts IntsRef to BytesRef; you must ensure the int values fit into a byte.
`void`
IntSequenceOutputs.`write(IntsRef prefix, DataOutput out)`
Constructors in org.apache.lucene.util.fst with parameters of type IntsRef
Modifier
Constructor
Description
``
`Result(IntsRef input, T output)`
Creates an instance of a `Result` record class.